Procedure ATKB_Rate(delrate: byte);
{ Change AT typematic rate and delay }
{ by Alexander Morris, October 9, 1988 }
{ From the AT Tech Ref manual, delrate can be any of the following hex #s:
Ŀ
delay (second)                    0.25      0.50      0.75     1.00     
Ĵ
repeat            30.0            00        20         40      60      
(per second)      26.7            01        21         41      61      
                  24.0            02        22         42      62      
                  21.8            03        23         43      63      
                  20.0            04        24         44      64      
                  18.5            05        25         45      65      
                  17.1            06        26         46      66      
                  16.0            07        27         47      67      
                  15.0            08        28         48      68      
                  13.3            09        29         49      69      
                  12.0            0A        2A         4A      6A      
                  10.9            0B        2B         4B      6B      
                  10.0            0C        2C         4C      6C      
                   9.2            0D        2D         4D      6D      
                   8.6            0E        2E         4E      6E      
                   8.0            0F        2F         4F      6F      
                   7.5            10        30         50      70      
                   6.7            11        31         51      71      
                   6.0            12        32         52      72      
                   5.5            13        33         53      73      
                   5.0            14        34         54      74      
                   4.6            15        35         55      75      
                   4.3            16        36         56      76      
                   4.0            17        37         57      77      
                   3.7            18        38         58      78      
                   3.3            19        39         59      79      
                   3.0            1A        3A         5A      7A      
                   2.7            1B        3B         5B      7B      
                   2.5            1C        3C         5C      7C      
                   2.3            1D        3D         5D      7D      
                   2.1            1E        3E         5E      7E      
                   2.0            1F        3F         5F      7F      

}
var
  i,dummy: integer;

begin
  Port[$60]:=$F3; {reprogram keyboard}
  for i:=1 to 1000 do dummy:=0; {dummy delay to let keyboard interface
                                 catch up}
  Port[$60]:=delrate; {give new repeat/delay}
end;
